# Class TableRow

#### Hierarchy

- XmlComponent
  - TableRow

- Defined in src/file/table/table-row/table-row.ts:9

#####
Index

### Constructors

constructor

### Accessors

CellCount
cells

### Methods

addCellToColumnIndex
addCellToIndex
addChildElement
columnIndexToRootIndex
prepForXml
rootIndexToColumnIndex

## Constructors

### constructor

- new TableRow(options: ITableRowOptions): TableRow

- #### Parameters

  - ##### options: ITableRowOptions

  #### Returns TableRow

  Overrides XmlComponent.constructor

  - Defined in src/file/table/table-row/table-row.ts:10

## Accessors

### CellCount

- get CellCount(): number

- #### Returns number

  - Defined in src/file/table/table-row/table-row.ts:19

### cells

- get cells(): readonly TableCell[]

- #### Returns readonly TableCell[]

  - Defined in src/file/table/table-row/table-row.ts:23

## Methods

### addCellToColumnIndex

- addCellToColumnIndex(cell: TableCell, columnIndex: number): void

- #### Parameters

  - ##### cell: TableCell

  - ##### columnIndex: number

  #### Returns void

  - Defined in src/file/table/table-row/table-row.ts:32

### addCellToIndex

- addCellToIndex(cell: TableCell, index: number): void

- #### Parameters

  - ##### cell: TableCell

  - ##### index: number

  #### Returns void

  - Defined in src/file/table/table-row/table-row.ts:27

### addChildElement

- addChildElement(child: string | XmlComponent): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in src/file/xml-components/xml-component.ts:34

### columnIndexToRootIndex

- columnIndexToRootIndex(columnIndex: number, allowEndNewCell?: boolean): number

- #### Parameters

  - ##### columnIndex: number

  - ##### allowEndNewCell: boolean = false

  #### Returns number

  - Defined in src/file/table/table-row/table-row.ts:51

### prepForXml

- prepForXml(context: IContext): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in src/file/xml-components/xml-component.ts:15

### rootIndexToColumnIndex

- rootIndexToColumnIndex(rootIndex: number): number

- #### Parameters

  - ##### rootIndex: number

  #### Returns number

  - Defined in src/file/table/table-row/table-row.ts:37

Generated using TypeDoc